#include<bits/stdc++.h>
using namespace std;

int main()
{
	vector<long long> a;
	long long c;
	while(scanf("%1d", &c)!=EOF)
	{
		a.push_back(c);
	}
	long long n=a.size();
	long long b=0, k=0, rez=0;
	for(long long i=0; i<n; i++)
	{
		if(a[i]==0) b++;
		else k++;
	}
	long long p, q;
	for(p=0; a[p]==a[p+1]; p++)
	{
		if(a[p]==1) k--;
		else b--;
	}
	for(q=n-1; a[q]==a[q-1]; q--)
	{
		if(a[q]==1) k--;
		else b--;
	}
	q=n-q;
	p--;
	q--;
	rez=min(k, b);
	if(a[p]!=a[q]) rez--;
	cout<<rez;
	
	return 0;
}